summarylogtreecommitdiffstats
path: root/vmware-horizon-client.install
diff options
context:
space:
mode:
Diffstat (limited to 'vmware-horizon-client.install')
-rw-r--r--vmware-horizon-client.install32
1 files changed, 28 insertions, 4 deletions
diff --git a/vmware-horizon-client.install b/vmware-horizon-client.install
index 503e90b23521..01fd22e08d5a 100644
--- a/vmware-horizon-client.install
+++ b/vmware-horizon-client.install
@@ -1,7 +1,31 @@
+#!/bin/sh
+
+EULA() {
+ echo " > By installing this package you acknowledge that you agree to the End-User"
+ echo " > License Agreement (EULA) found in /usr/share/doc/vmware-horizon-client/."
+ echo " > If you do not agree to VMware EULA remove this package immediately:"
+ echo " > $ pacman -Rc vmware-horizon-client"
+}
+
+hosts_add() {
+ if ! grep -q 'view-localhost' /etc/hosts; then
+ echo '127.0.0.2 view-localhost # added by vmware-horizon-client' >> /etc/hosts
+ fi
+}
+
+hosts_remove() {
+ sed -i '/view-localhost/d' /etc/hosts
+}
+
post_install() {
- echo " > By installing this package you acknowledge that you agree to the End-User"
- echo " > License Agreement (EULA) found in /usr/share/doc/vmware-horizon-client/."
- echo " > If you do not agree to VMware EULA remove this package immediately:"
- echo " > $ pacman -Rc vmware-horizon-client"
+ EULA
+ hosts_add
}
+post_upgrade() {
+ hosts_add
+}
+
+post_remove() {
+ hosts_remove
+}